#main-menu {
    float:right;
}

#main-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

#main-menu ul li a,
#footer-menu ul li a {
    display: block;
    padding: 10px;
    margin: 0 20px;
    font-size: 16px;
	font-family: 'Yantramanav';
}

#footer-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

#footer-menu {
    background: #FDFFFF;
}

@media only screen and (max-width: 1270px) {
    header .content-box {
        flex-wrap: wrap;
    }
    #main-menu {
        width: 100%;
        max-height: 0;
        /* hamburger open miatt kell - alapértelmezetten legyen bezárva */
        transition: all 0.3s ease-in-out;
        opacity: 0;
        z-index: -1;
    }
    #main-menu ul {
        display: block;
        /* megszűnik a flex, helyette egymás alatt lesz */
        text-align: left;
		margin: 0 0 0 -10px;
    }
    #main-menu ul li a {
        border-bottom: solid 1px #B7C788;
        margin: 0;
    }
    #main-menu ul li:nth-child(7) a {
        border-bottom: none;
    }

     #hamburger {
        width: 45px;
        height: 45px;
        display: flex;
        /* vonalak miatt kell */
        flex-direction: column;
        /* ne egymás mellett, hanem egymás alatt legyenek a vonalak */
        justify-content: space-between;
        /*ugyanolyan távolság */
        padding: 10px;
        /*körben a vonalak méretéből ez a térköz elvesz */
    }
    #hamburger span {
        display: inline-block;
        background: #B7C788;
        width: 25px;
        height: 5px;
        -webkit-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }
    #hamburger.open+#main-menu {
        /* + a közvetlen testvér */
        max-height: 550px;
        opacity: 1;
        z-index: 100;
    }
    /* itt lehet megformázni h a vonalakból X legyen stb */
    #hamburger.open {
        -webkit-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
        -webkit-transition-delay: 0.6s;
        -o-transition-delay: 0.6s;
        transition-delay: 0.6s;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        -o-transform: rotate(45deg);
        transform: rotate(45deg);
    }
    #hamburger.open span:nth-child(2) {
        width: 0px;
    }
    #hamburger.open span:nth-child(1),
    #hamburger.open span:nth-child(3) {
        -webkit-transition-delay: 0.3s;
        -o-transition-delay: 0.3s;
        transition-delay: 0.3s;
    }
    #hamburger.open span:nth-child(1) {
        -webkit-transform: translateY(10px);
        -ms-transform: translateY(10px);
        -o-transform: translateY(10px);
        transform: translateY(10px);
    }
    #hamburger.open span:nth-child(3) {
        -webkit-transform: translateY(-10px) rotate(90deg);
        -ms-transform: translateY(-10px) rotate(90deg);
        -o-transform: translateY(-10px) rotate(90deg);
        transform: translateY(-10px) rotate(90deg);
    }
}


/* Almenü */

#main-menu ul li {
    position: relative;
}

.opener {
    width: 2.25rem;
    height: 2.25rem;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0.5px;
    right: 0px;
    z-index: 1000;
}

.opener svg {
    width: 14px;
    height: 14px;
    cursor: pointer;
}

.open {
    opacity: 1;
    max-height: 600px;
}

#main-menu ul>li {
    position: relative;
}

#main-menu ul>li>ul {
    display: block;
    position: absolute;
}

#main-menu ul>li>ul>li a {
    
    line-height: 1.75rem;
    background-image: url(img/border-horizontal.png);
    background-size: auto 3px;
    background-position: bottom center;
    background-repeat: repeat-x;
    white-space: nowrap;
}

#main-menu ul>li>ul {
    opacity: 0;
    max-height: 0;
    transition: all 0.6s ease-in-out;
    top: 40px;
    left: 0px;
    z-index: 2;
    background: #fff;
    display: none;
}

#main-menu ul>li>ul>li .opener {
    height: 1.75rem;
}

#main-menu ul>li>ul.open,
.sub-menu.open {
    opacity: 1;
    max-height: 600px;
    display: block;
    box-shadow: rgb(100 100 111 / 20%) 0px 7px 29px 0px;
}

@media only screen and (max-width: 1270px) {
    #main-menu ul>li>ul {
        position: static;
    }
    #main-menu ul>li>ul>li a {
        padding: 10px 1rem;
    }
    #main-menu ul>li>ul {
        border-bottom: none;
    }
}


/* Main effect */

#main-menu ul li:before,
.sub-menu.open:before {
    transform: scaleX(0);
    transform-origin: bottom right;
}

#main-menu ul li:hover:before,
.sub-menu.open:before {
    transform: scaleX(1);
    transform-origin: bottom left;
}

#main-menu ul li:before {
    content: " ";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    inset: 0 0 0 0;
    background: #B7C788;
    z-index: -1;
    transition: transform .3s ease;
}

#main-menu ul li {
    position: relative;
}